import { BlockNode } from '../../data';
import { BlockEditorValue } from '../editor/BlockEditorProps';
import { ReactElement } from 'react';
export declare type GetNode = (id: string) => BlockNode | undefined;
export declare type NodeOp = (value: BlockEditorValue) => BlockEditorValue;
export interface BlockProps {
    undoRedoVersion: number;
    getNode: GetNode;
    node: BlockNode;
    focusedNodeId: string | null;
    changeBlocks: (op: NodeOp) => any;
    renderEditBlock: (props: BlockProps) => ReactElement;
}
