import { BlockEditorValue } from '../BlockEditorProps';
import { BlockNode } from '../../../data';
export interface AddBlockResult {
    error?: string;
    createdBlock?: BlockNode;
    value: BlockEditorValue;
}
export declare function addRow(value: BlockEditorValue, props?: Partial<BlockNode>): AddBlockResult;
export declare function addCol(value: BlockEditorValue, props?: Partial<BlockNode>): AddBlockResult;
export declare function addMarkDown(value: BlockEditorValue, props?: Partial<BlockNode>): AddBlockResult;
export declare function addImage(value: BlockEditorValue, props?: Partial<BlockNode>): AddBlockResult;
export declare function addLayer(value: BlockEditorValue, props?: Partial<BlockNode>): AddBlockResult;
